Search documentation of Plushie

# Plushie.Canvas.Stroke (Plushie v0.7.2)

Copy Markdown View Source

Canvas stroke descriptor with color, width, and optional cap/join/dash.

## Summary

### Types

t()

### Functions

from_opts(opts)

Constructs a stroke from a keyword list.

## Types

# t()

    @type t() :: %Plushie.Canvas.Stroke{
      cap: String.t() | nil,
      color: String.t(),
      dash: Plushie.Canvas.Dash.t() | nil,
      join: String.t() | nil,
      width: number()
    }

## Functions

# from_opts(opts)

    @spec from_opts(keyword()) :: t()

Constructs a stroke from a keyword list.